#include <Arduino.h>

void peripheral_register(int pin_number) {
	pinMode(OUTPUT, pin_number);
	// Disable the device by default to avoid issues
	digitalWrite(pin_number, HIGH);
}

void peripheral_unsilence(int pin_number) {
	digitalWrite(pin_number, LOW);
}

void peripheral_silence(int pin_number) {
	digitalWrite(pin_number, HIGH);
}

void peripheral_switch(int pin_number_old, int pin_number_new) {
	digitalWrite(pin_number_old, HIGH);
	digitalWrite(pin_number_new, LOW);
}
